snd_pcm_format_cpu_endian
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_format_cpu_endian — Check the PCM format is CPU-endian

## Synopsis

`int snd_pcm_format_cpu_endian (` | snd_pcm_format_t | format`)`;

## Arguments

`format`

  the format to check

## Description

Returns 1 if the given PCM format is CPU-endian, 0 if opposite, or a negative error code if endian not specified.

Prev | Up | Next
snd_pcm_capture_empty | Home | snd_pcm_new_stream